@import url("https://fonts.googleapis.com/css2?family=League+Spartan:wght@100;200;300;400;600&family=Noto+Sans+JP&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "League Spartan", sans-serif;
  font-family: "Noto Sans JP", sans-serif;
}
.wrapper {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 30px;
}
main {
  padding: 2rem;
  /* width: 30%;
  height: 60%; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 15px;
  box-shadow: 1px 1px 10px rgb(216, 212, 212);
}
.buttons {
  display: grid;
  grid-template-rows: repeat(5, 1fr);
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
}
.btn {
  cursor: pointer;
  text-align: center;
  padding: 15px;
  box-shadow: 1px 1px 0 0 rgb(216, 212, 212), -1px -1px 0 0 rgb(216, 212, 212);
  transition: all 0.5s;
}
.btn:hover {
  box-shadow: 0 0 5px 1px rgb(171, 165, 165);
}
.equals {
  background-color: #4d90fe;
  grid-row-start: 2;
  grid-row-end: 6;
  grid-column-start: 4;
  grid-column-end: 5;
  /* centering = sign */
  display: flex;
  justify-content: center;
  align-items: center;
}
.equals:hover {
  background-color: rgb(61, 123, 230);
}
/* Input Field */
.input {
  width: 100%;
  height: 3rem;
  border: none;
  padding: 0.7rem;
  font-size: 2rem;
  font-weight: 400;
  text-align: right;
  box-shadow: 1px 1px 0 0 rgb(216, 212, 212), -1px -1px 0 0 rgb(216, 212, 212);
}
.input:focus {
  outline: none;
}
.operation {
  background-color: rgb(221, 221, 221);
}
